# Uses of Class
org.opensaml.saml.saml2.binding.artifact.SAML2ArtifactBuilderFactory

Packages that use SAML2ArtifactBuilderFactory
Package
Description
org.opensaml.saml.config
SAML library configuration.
org.opensaml.saml.saml2.binding.decoding.impl
SAML 2.0 message decoders.

## Uses of SAML2ArtifactBuilderFactory in org.opensaml.saml.config

Fields in org.opensaml.saml.config declared as SAML2ArtifactBuilderFactory
Modifier and Type
Field
Description
`private SAML2ArtifactBuilderFactory`
SAMLConfiguration.`saml2ArtifactBuilderFactory`
SAML 2 Artifact factory.
Methods in org.opensaml.saml.config that return SAML2ArtifactBuilderFactory
Modifier and Type
Method
Description
`SAML2ArtifactBuilderFactory`
SAMLConfiguration.`getSAML2ArtifactBuilderFactory()`
Gets the artifact factory for the library.
`static SAML2ArtifactBuilderFactory`
SAMLConfigurationSupport.`getSAML2ArtifactBuilderFactory()`
Gets the artifact factory for the library.
Methods in org.opensaml.saml.config with parameters of type SAML2ArtifactBuilderFactory
Modifier and Type
Method
Description
`void`
SAMLConfiguration.`setSAML2ArtifactBuilderFactory(SAML2ArtifactBuilderFactory factory)`
Sets the artifact factory for the library.
`static void`
SAMLConfigurationSupport.`setSAML2ArtifactBuilderFactory(SAML2ArtifactBuilderFactory factory)`
Sets the artifact factory for the library.

## Uses of SAML2ArtifactBuilderFactory in org.opensaml.saml.saml2.binding.decoding.impl

Fields in org.opensaml.saml.saml2.binding.decoding.impl declared as SAML2ArtifactBuilderFactory
Modifier and Type
Field
Description
`private SAML2ArtifactBuilderFactory`
HTTPArtifactDecoder.`artifactBuilderFactory`
SAML 2 artifact builder factory.
Methods in org.opensaml.saml.saml2.binding.decoding.impl that return SAML2ArtifactBuilderFactory
Modifier and Type
Method
Description
`SAML2ArtifactBuilderFactory`
HTTPArtifactDecoder.`getArtifactBuilderFactory()`
Get the SAML 2 artifact builder factory.
Methods in org.opensaml.saml.saml2.binding.decoding.impl with parameters of type SAML2ArtifactBuilderFactory
Modifier and Type
Method
Description
`void`
HTTPArtifactDecoder.`setArtifactBuilderFactory(SAML2ArtifactBuilderFactory factory)`
Set the SAML 2 artifact builder factory.